From 012fbb63719f4a683604c4917a34d2039e38c023 Mon Sep 17 00:00:00 2001 From: Pádraig Brady
Date: Sun, 28 Jul 2013 00:19:45 +0100
Subject: tests: fix intermittent failure in test/du/inodes.sh
Prompted by the continuous integration build failure at:
http://hydra.nixos.org/build/5582213
* test/du/inodes.sh: Due to undefined order in returned directory
entries, the expected output might not match, so sort both expected
and actual output when returning --all directory entries.
Also use a simpler test for ensuring no errors are output.
---
tests/du/inodes.sh | 44 ++++++++++++++++++++++++--------------------
1 file changed, 24 insertions(+), 20 deletions(-)
diff --git a/tests/du/inodes.sh b/tests/du/inodes.sh
index 2069e2b2b..41186e40f 100755
--- a/tests/du/inodes.sh
+++ b/tests/du/inodes.sh
@@ -25,7 +25,7 @@ printf '1\td\n' > exp || framework_failure_
du --inodes d > out 2>err || fail=1
compare exp out || { cat out; fail=1; }
-compare /dev/null err || fail=1
+test -s err && fail=1
# Add a regular file: 2 inodes used.
touch d/f || framework_failure_
@@ -33,62 +33,66 @@ printf '2\td\n' > exp || framework_failure_
du --inodes d > out 2>err || fail=1
compare exp out || { cat out; fail=1; }
-compare /dev/null err || fail=1
+test -s err && fail=1
# Add a hardlink to the file: still only 2 inodes used.
ln -v d/f d/h || framework_failure_
du --inodes d > out 2>err || fail=1
compare exp out || { cat out; fail=1; }
-compare /dev/null err || fail=1
+test -s err && fail=1
# Now count also hardlinks (-l,--count-links): 3 inodes.
printf '3\td\n' > exp || framework_failure_
du --inodes -l d > out 2>err || fail=1
compare exp out || { cat out; fail=1; }
-compare /dev/null err || fail=1
+test -s err && fail=1
# Create a directory and summarize: 3 inodes.
mkdir d/d || framework_failure_
du --inodes -s d > out 2>err || fail=1
compare exp out || { cat out; fail=1; }
-compare /dev/null err || fail=1
+test -s err && fail=1
# Count inodes separated: 1-2.
printf '1\td/d\n2\td\n' > exp || framework_failure_
du --inodes -S d > out 2>err || fail=1
compare exp out || { cat out; fail=1; }
-compare /dev/null err || fail=1
+test -s err && fail=1
# Count inodes cumulative (default): 1-3.
printf '1\td/d\n3\td\n' > exp || framework_failure_
du --inodes d > out 2>err || fail=1
compare exp out || { cat out; fail=1; }
-compare /dev/null err || fail=1
+test -s err && fail=1
# Count all items: 1-1-3.
-printf '1\td/d\n1\td/h\n3\td\n' > exp || framework_failure_
-du --inodes -a d > out 2>err || fail=1
+# Sort output becaue the directory entry order is not defined.
+printf '1\td/d\n1\td/h\n3\td\n' | sort > exp || framework_failure_
+du --inodes -a d > out.tmp 2>err || fail=1
+sort